Glib::FileError Class Reference
File Utilities

Exception class for file-related errors. More...

`#include <glibmm/fileutils.h>`

Inheritance diagram for Glib::FileError:
[legend]

## Public Types

enum | Code { EXISTS, IS_DIRECTORY, ACCESS_DENIED, NAME_TOO_LONG, NO_SUCH_ENTITY, NOT_DIRECTORY, NO_SUCH_DEVICE, NOT_DEVICE, READONLY_FILESYSTEM, TEXT_FILE_BUSY, FAULTY_ADDRESS, SYMLINK_LOOP, NO_SPACE_LEFT, NOT_ENOUGH_MEMORY, TOO_MANY_OPEN_FILES, FILE_TABLE_OVERFLOW, BAD_FILE_DESCRIPTOR, INVALID_ARGUMENT, BROKEN_PIPE, TRYAGAIN, INTERRUPTED, IO_ERROR, NOT_OWNER, NOSYS, FAILED }
| Values corresponding to errno codes returned from file operations on UNIX. More...

## Public Member Functions

| FileError (Code error_code, const Glib::ustring& error_message)
| FileError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for file-related errors.

## Constructor & Destructor Documentation

Glib::FileError::FileError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::FileError::FileError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Glib::FileError::code | ( |  | ) | const